Page MenuHomePhabricator

Gather should only load skins.minerva.scripts in Minerva skin
Closed, ResolvedPublic

Description

Gather loads skins.minerva.scripts in Vector. This should never happen.

Original report:
In e.g. https://en.wikipedia.org/wiki/Special:Gather/all/recent , it's not possible to place the cursor into the search box on top right (by either clicking on it or via the keyboard shortcut Alt-Shift-F / CTRL-Option-F).

Reproduced with current Chromium/Chrome versions under Linux and OS X, both when logged in and logged out.

It seems to work fine in Firefox, though, both under Linux and OS X.
Note: This may be due to an issue in MobileFrontend's MobileWebUIClickTracking code which should not be running in desktop.

Event Timeline

Tbayer raised the priority of this task from to Needs Triage.
Tbayer updated the task description. (Show Details)
Tbayer added a project: Gather.
Tbayer added a subscriber: Tbayer.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2015, 3:54 AM

It's trying to click track for some reason as this happens:
[MobileWebUIClickTracking] Value null is the wrong type for property "mobileMode" (string expected)

Click tracking should not be loaded here.

Jdlrobson renamed this task from Search box inaccessible in Special:Gather to Desktop: Search box inaccessible in Special:Gather.Aug 12 2015, 5:59 AM
Jdlrobson added a project: good first bug.
Jdlrobson set Security to None.
Jdlrobson moved this task from Needs triage to Bug backlog on the Gather board.
KLans_WMF triaged this task as Low priority.Sep 16 2015, 5:18 PM
Jdlrobson updated the task description. (Show Details)Dec 1 2015, 9:30 PM
Jdlrobson added a project: Google-Code-In-2015.

Will mentor this task in #GCI2015

Mhutti1 claimed this task.Jan 19 2016, 5:31 PM

Change 265124 had a related patch set uploaded (by Mhutti1):
Search box can now be clicked on from pages which use MobileFrontend.js

https://gerrit.wikimedia.org/r/265124

Jdlrobson renamed this task from Desktop: Search box inaccessible in Special:Gather to Gather should only load skins.minerva.scripts in Minerva skin.Jan 20 2016, 1:35 AM
Jdlrobson lowered the priority of this task from Low to Lowest.
Jdlrobson updated the task description. (Show Details)

Change 261276 had a related patch set uploaded (by Jdlrobson):
Avoid loading Minerva code in Vector

https://gerrit.wikimedia.org/r/261276

Jdlrobson added a subscriber: Mhutti1.

Change 265124 merged by jenkins-bot:
Search box can now be clicked on from pages which use MobileFrontend.js

https://gerrit.wikimedia.org/r/265124

Change 261276 merged by jenkins-bot:
Avoid loading Minerva code in Vector

https://gerrit.wikimedia.org/r/261276

Jdlrobson closed this task as Resolved.Jan 28 2016, 11:40 PM